Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Notification\Handler Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Notification\Handler:

## Public Member Functions
| __construct (Gateway $gateway, Mapper $mapper)
| createNotification (CreateStruct $createStruct)
| {} More...
| countPendingNotifications (int $ownerId)
| {} More...
| getNotificationById (int $notificationId)
| {} More...
| updateNotification (APINotification $apiNotification, UpdateStruct $updateStruct)
| {} More...
| countNotifications (int $userId)
| {} More...
| loadUserNotifications (int $userId, int $offset, int $limit)
| {} More...
| delete (APINotification $notification)
| {} More...
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Bookmark\Handler
| create (CreateStruct $createStruct)
| Create a new bookmark. More...
| delete (int $bookmarkId)
| Delete a bookmark. More...
| loadByUserIdAndLocationId (int $userId, array $locationIds)
| Get bookmark by user id and location id. More...
| loadUserBookmarks (int $userId, int $offset=0, int $limit=-1)
| Loads bookmarks owned by user. More...
| countUserBookmarks (int $userId)
| Count bookmarks owned by user. More...
| locationSwapped (int $location1Id, int $location2Id)
| Notifies the underlying engine that a location was swapped. More...

## Protected Attributes
| $gateway
| $mapper

## Detailed Description

Definition at line 18 of file Core/Persistence/Legacy/Notification/Handler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::__construct | ( | Gateway | $gateway,
|  | Mapper | $mapper
| ) |  |

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Notification\Gateway | $gateway |
  \eZ\Publish\Core\Persistence\Legacy\Notification\Mapper | $mapper |

Definition at line 30 of file Core/Persistence/Legacy/Notification/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Notification\Handler\$gateway, and eZ\Publish\Core\Persistence\Legacy\Notification\Handler\$mapper.

## Member Function Documentation

## ◆ countNotifications()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::countNotifications | ( | int | $userId | ) |

{}

Definition at line 95 of file Core/Persistence/Legacy/Notification/Handler.php.

## ◆ countPendingNotifications()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::countPendingNotifications | ( | int | $ownerId | ) |

{}

Definition at line 51 of file Core/Persistence/Legacy/Notification/Handler.php.

## ◆ createNotification()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::createNotification | ( | CreateStruct | $createStruct | ) |

{}

Exceptions

Definition at line 41 of file Core/Persistence/Legacy/Notification/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Notification\Handler\getNotificationById().

## ◆ delete()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::delete | ( | APINotification | $notification | ) |

{}

Definition at line 113 of file Core/Persistence/Legacy/Notification/Handler.php.

## ◆ getNotificationById()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::getNotificationById | ( | int | $notificationId | ) |

{}

Exceptions

Definition at line 61 of file Core/Persistence/Legacy/Notification/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Notification\Handler\createNotification(), and eZ\Publish\Core\Persistence\Legacy\Notification\Handler\updateNotification().

## ◆ loadUserNotifications()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::loadUserNotifications | ( | int | $userId,
|  | int | $offset,
|  | int | $limit
| ) |  |

{}

Definition at line 103 of file Core/Persistence/Legacy/Notification/Handler.php.

## ◆ updateNotification()

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::updateNotification | ( | APINotification | $apiNotification,
|  | UpdateStruct | $updateStruct
| ) |  |

{}

Exceptions

Definition at line 80 of file Core/Persistence/Legacy/Notification/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Notification\Handler\getNotificationById().

## Member Data Documentation

## ◆ $gateway

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::$gateway
| protected

Definition at line 21 of file Core/Persistence/Legacy/Notification/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Notification\Handler\__construct().

## ◆ $mapper

eZ\Publish\Core\Persistence\Legacy\Notification\Handler::$mapper
| protected

Definition at line 24 of file Core/Persistence/Legacy/Notification/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Notification\Handler\__construct().

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/Notification/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.